## ezpublish 2.2.8

=== DESCRIPTION ===
One-line description:

eZ publish is a content management system for e-commerce, e-publishing and intranets
eZ publish: content management system for e-commerce, e-publishing and intranets

Short description:

eZ publish is a web based application suite. It delivers functionality ranging from publishing of news, web logs and diaries, through web shop functionality like shopping carts and wishlists and forums to intranet functions like contact handling and bug reporting.

The software uses caching and other optimization techniques to speed up page serving. It handles users, user preferences and user tracking through a user database and both cookie-based and non-cookie sessions.

It supports statistics for page views, links followed and banner ads, both images and HTML with presentation logic.

The package lends itself easily to customization, from changing the look and feel by changing templates, localizing the languages and other internationalization issues to adding new functionality.

The target audience for eZ publish are e-commerce, ASP (Application Service Providers), BSP (Business Service Providers), news publishing, intranets, bug reporting, content management, discussion boards, FAQ and knowledge handling, file and image management, group ware, calendaring, polls, todo lists, appointments as well as personal web sites.



Long description:

eZ publish is a web based application suite which delivers the following
functionality:

    * Advertising with statistics
    * Article publication and management
    * Bug handling and reporting
    * Calendar functionality for creating appointments and events
    * Contact handling for keeping track of people and businesses
    * File manager for keeping track of uploaded files
    * Moderated forums for discussions
    * Image manager for keeping track of uploaded images
    * Link manager which is used to categorize links
    * News feed importing, fetch news and headlines from other sites and
      incorporate them in your own(1)
    * Poll module for creating user polls.
    * Session module for keeping track of users and their preferences
    * Statistics module for information about page views and visitors
    * To-do module for assigning tasks to people
    * Trade module which is an online shop, with shopping cart and
      wishlist
    * User management for registering users, giving access to different
      groups to different parts of the site

The software does not believe in limits(2):

    * No limits on categories and items in categories
    * Articles, products and links might belong to several different
      categories
    * No limits on people associated with a company, or the number of
      people and companies registered totally
    * No limits of addresses, phone numbers and other contact points for
      people and businesses
    * No limits on users, the groups they might belong to and number of
      user groups
      
Based on PHP, the leading programming language module for the Apache
web server software, eZ publish draws on the speed from this renown
software. The backend database is MySQL which is fast and reliable,
proven on thousands of Internet sites.

Further speed enhancements are made in the eZ publish by using caching
of data and reduced connections to the database.

All the default templates delivered with eZ publish are tested on a
diverse mix of browsers, Opera, Internet Explorer, Netscape, Konqueror
and Lynx, thus enabling all users to gain access to your site.

So called cookie-less sessions are supported, a method used to enable
user recognition even for those who objects to use cookies, no-one will
feel left out or overseen.

eZ publish keeps track of the statistics of your site. How many
visitors, from where, what do they buy and what are they looking at.

The package has been translated to several languages, you can even
translate it yourself through the eZ Babel software we've developed
for this purpose specifically.

Changing the design of your site is easy because of separation of
content and design. You don't have to know anything about PHP or coding,
just something about HTML.

For those proficient in programming PHP the source code is available,
it can be used as a basis for adding new modules and functionality
tailored to your specific needs.

The target audience for eZ publish are e-commerce, ASP (Application
Service Providers), BSP (Business Service Providers), news publishing,
intranets, bug reporting, content management, discussion boards, FAQ and
knowledge handling, file and image management, group ware, calendaring,
polls, todo lists, appointments as well as personal web sites.

     
(1) We do not encourage copyright infringements with this feature. Our
    default templates will not pass these news items as the site's own.
    Ask permission from copyright holder before publishing other site's
    news on your site.
(2) There are limits, of course, since the system is based on other
    software, and because it will run on systems with different sizes of
    hard disks and ram, as well as processor speed.

## ezpublish 2.2.6-0.woody.1

=== debian/changelog ===
ezpublish (2.2.6-0.woody.1) testing-security; urgency=high

  * Repackaged for woody.
  * Upstream 2.2.6 fixes XSS holes according to private conversation
    with upstream (Brd Farstad <bf@ez.no>).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Jun 2002 21:39:33 +0200

ezpublish (2.2.6-1) unstable; urgency=low

  * New upstream release.
  * Misc clarifications in README.Debian.
  * Depend on php4-cgi (for the cron job).
  * Mention dh_install in TODO.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jun 2002 12:06:30 +0200

ezpublish (2.2.5-3) unstable; urgency=low

  * Properly add README.Debian (it was in the source, but wrongly named
    and silently ignored).
  * Include all language packs released since 2.2.0.
  * Add new pseudo-language en_GB_org (all instances of 'company'
    replaced with 'organisation').
  * Add da_DK and da_DK_org (based on upstream 2.2.2-dk_DK). Include
    cleanup scripts in source (debian/convert*).
  * Include module documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jun 2002 23:33:38 +0200

ezpublish (2.2.5-2) unstable; urgency=low

  * Comment out debug info in classes/ezcachefile.php.
  * Use mysql_connect() instead of mysql_pconnect() in
    classes/ezmysql.php.
  * Correct s/locale/Locale/ in ezforum/user/messageform.php.
  * All the above from various comments below the announcement on ez.no
    website.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  5 Jun 2002 19:43:06 +0200

ezpublish (2.2.5-1) unstable; urgency=low

  * New upstream release.
  * Remove dependency on php4-domxml - it is no longer needed (for some
    time now) according to upstream.
  * Suggest postgresql as alternative to mysql.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  5 Jun 2002 13:42:23 +0200

ezpublish (2.2.4-1) unstable; urgency=low

  * New upstream version.
  * Release officially (Last call for Woody?). Closes Bug#118150.
  * Rename example script ezcreate.sh to localezcreate (to match name
    used internally) and update to newest version.
  * Rewrite README.Debian and split into README and TODO.
  * Remove the corrections to the documentation about rewrite rules
    (they where right after all). Also comment out regeneration of
    documentaion and remove build-dependency on lyx.
  * Allow secure_modfix.sh to run also as www-data (or other non-root
    user).
  * Move tarballs to /usr/src/ezpublish.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Apr 2002 03:30:25 +0200

ezpublish (2.2.3-0.0.1) unstable; urgency=low

  * New upstream version.
  * Remove setcookie hacks (they didn't work...) and instead depend on
    php 4.0.7 or newer.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jan 2002 03:32:20 +0100

ezpublish (2.2.2-0.0.6) unstable; urgency=low

  * Conflicts and provides ezpublish.
  * Consistently add |swf|mov|rm|asf|jar|wbmp to non-index.php rewrite
    rules in ezcreate.sh and documentation.
  * Make separate tarballs of languages other than en_GB (default
    language), and avoid unfinished languages (possibly too strict: only
    those with azarticle helpfile translated).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jan 2002 01:49:45 +0100

ezpublish (2.2.2-0.0.5) unstable; urgency=low

  * Remove support for empty ezSysInfo module.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Dec 2001 21:21:33 +0100

ezpublish (2.2.2-0.0.4) unstable; urgency=low

  * Don't create ezexample cache.
  * Rewrite debian/rules to more clever use of tar (tremendous build
    speed improvement).
  * Remove patches to ezinstaller.sh and move it to examples.
  * Rename localezcreate -> ezcreate.sh and make it work with tarballs
    only.
  * Install all parts as tarballs now (give up trying to reuse data for
    now).
  * Rename package ezpublish -> ezpublish-src to reflect my failure in
    automating the install process.
  * Enable building installation documentation, and Build-Depends-Indep
    on lyx.
  * Cleanup upstream data.tar.gz for CVS noise.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  5 Dec 2001 18:22:51 +0100

ezpublish (2.2.2-0.0.3) unstable; urgency=low

  * Fix logout crashing Apache: Avoid bug in PHP < 4.0.7 by using
    eZHTTPTool::setCookie everywhere (why did the eZ people comment this
    out in ezsession?).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Nov 2001 16:46:49 +0100

ezpublish (2.2.2-0.0.2) unstable; urgency=low

  * Make sure clearcache and modfix scripts - both normal and secure -
    include _all_ cache dirs.
  * Hack ezsitemanager/admin/cacheadmin.php to use
    /usr/share/ezpublish/bin instead of ./ when running clearcache.sh.
  * Suggests: mysql-server.
  * Never chmod 777 or 666 - use 770 and 660 instead (if we are not in
    same group as webserver we have a problem already!).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Dec 2001 04:05:24 +0100

ezpublish (2.2.2-0.0.1) unstable; urgency=low

  * New upstream version.
  * Add documentation build (needed because of corrections from upstream
    lyx source, but commented out as it only contains install info that
    is normally irrellevant).
  * Add example localezinstall script to automate creation of an eZ
    site.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Nov 2001 20:03:12 +0100

ezpublish (2.2-0.0.3) unstable; urgency=low

  * Rearrange everything into public, template and shared files.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Oct 2001 23:36:52 +0300

ezpublish (2.2-0.0.2) unstable; urgency=low

  * Add new sitedir.ini tag: "sharedDir" pointing to files shared among
    all sites.
  * Add sitedir.ini tag "cacheDir" as well, for separating static (but
    customizable) content and cache files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Oct 2001 03:50:03 +0300

ezpublish (2.2-0.0.1) unstable; urgency=low

  * Final 2.2 release.
  * Let this be an unofficial package for now (seems to take me longer
    than expected to make it ready for Debian...).
  * Implement (some of) ezinstaller.sh in debian/rules.
  * Patch INSTALL.* to include wbmp and jar in all RewriteRule lines


=== debian/control ===
Source: ezpublish
Section: web
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ezpublish-src
Architecture: all
Depends: php4 (>= 4.0.7), php4-cgi (>= 4.0.7), imagemagick
Recommends: php4-mysql
Suggests: php4-pgsql, mysql-server | postgresql
Conflicts: ezpublish
Provides: ezpublish
Description: CMS for e-commerce, e-publishing and intranets
 eZ publish is a web based application suite. It delivers
 functionality ranging from publishing of news, web logs and
 diaries, through web shop functionality like shopping carts
 and wishlists and forums to intranet functions like contact
 handling and bug reporting.
 .
 The software uses caching and other optimization techniques
 to speed up page serving. It handles users, user preferences
 and user tracking through a user database and both cookie-
 based and non-cookie sessions.
 .
 It supports statistics for page views, links followed and
 banner ads, both images and HTML with presentation logic.
 .
 The package lends itself easily to customization, from
 changing the look and feel by changing templates, localizing
 the languages and other internationalization issues to
 adding new functionality.
 .
 The target audience for eZ publish are e-commerce, ASP
 (Application Service Providers), BSP (Business Service
 Providers), news publishing, intranets, bug reporting,
 content management, discussion boards, FAQ and knowledge
 handling, file and image management, group ware,
 calendaring, polls, todo lists, appointments as well as
 personal web sites.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

INSTBASEDIR=$(CURDIR)/debian/ezpublish-src
INSTSRCDIR=$(INSTBASEDIR)/usr/src/ezpublish
INSTLIBDIR=$(INSTBASEDIR)/usr/share/ezpublish
INSTDOCDIR=$(INSTBASEDIR)/usr/share/doc/ezpublish-src
TARGETS=lib www install data
BINFILES=clearcache.sh modfix.sh secure_clearcache.sh secure_modfix.sh

LANGS=`find classes/locale -name '*.ini' ! -name 'en_GB.ini' -exec basename '{}' '.ini' \;`

install_file=install -p -m 0644
install_bin=install -p -m 0755
install_dir=install -p -d -m 0755

findclean=sed 's!^\./!!'|egrep -v '^(ezexample|ezsysinfo|upgrade|checklists|installation)'
tar=tar --append --mode='a=r,u+w,a+X'
tar_del=tar --delete
tar_list=tar --list

build:
	chmod 0755 debian/localezcreate
## Don't build the following for now: dvi latex
#	for output in ps pdf text; do \
#		lyx -e $$output installation/INSTALL.lyx; \
#		done

clean:
	dh_testdir
	dh_testroot

#	rm -f installation/INSTALL.dvi  installation/INSTALL.pdf  installation/INSTALL.ps  \
#		installation/INSTALL.tex  installation/INSTALL.txt

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install shared php code
	for ext in php inc hlp; do \
		$(tar) -f $(INSTSRCDIR)/lib.tar `find . -type f -name "*.$$ext"|$(findclean)`; \
	done
	$(tar) -f $(INSTSRCDIR)/lib.tar site.ini sitedir.ini

	# Install language files
	for lang in $(LANGS); do \
		for filematch in `find . -type f -name "*.ini" | $(findclean) | grep $$lang`; do \
			$(tar) -f $(INSTSRCDIR)/lang/$$lang.tar $$filematch; \
		done; \
		for filematch in `$(tar_list) -f $(INSTSRCDIR)/lib.tar | grep $$lang`; do \
			$(tar_del) -f $(INSTSRCDIR)/lib.tar $$filematch; \
			$(tar) -f $(INSTSRCDIR)/lang/$$lang.tar $$filematch; \
		done; \
	done

	# Install module documentation
	for filematch in `find . -type f -name "site-ini.txt" | $(findclean)`; do \
		$(install_file) $$filematch $(INSTDOCDIR)/modules/`dirname $$filematch | xargs basename`.txt; \
	done

	# Install public accessible files
	for ext in gif css jpg png jar wbmp; do \
		$(tar) -f $(INSTSRCDIR)/www.tar `find . -type f -name "*.$$ext"|$(findclean)`; \
	done

	# Move files from lib to www
	for filematch in `$(tar_list) -f $(INSTSRCDIR)/lib.tar *.php sitedir.ini`; do \
		$(tar_del) -f $(INSTSRCDIR)/lib.tar $$filematch; \
		$(tar) -f $(INSTSRCDIR)/www.tar $$filematch; \
	done

	# Install templates
	for ext in tpl; do \
		$(tar) -f $(INSTSRCDIR)/install.tar `find . -type f -name "*.$$ext"|$(findclean)`; \
	done

	# Move files from lib to install
	for filematch in `$(tar_list) -f $(INSTSRCDIR)/lib.tar sitedesign site.ini`; do \
		$(tar_del) -f $(INSTSRCDIR)/lib.tar $$filematch; \
		$(tar) -f $(INSTSRCDIR)/install.tar $$filematch; \
	done

	# Cleanup upstream tarball
	$(install_file) data.tar.gz $(INSTSRCDIR)/data.tar.gz
	gunzip $(INSTSRCDIR)/data.tar.gz
	$(tar_del) -f $(INSTSRCDIR)/data.tar */CVS/* *.cache

	for file in $(TARGETS); do \
		gzip --best $(INSTSRCDIR)/$$file.tar; \
	done
	for file in $(LANGS); do \
		gzip --best $(INSTSRCDIR)/lang/$$file.tar; \
	done

	$(install_file) sql/*.sql $(INSTLIBDIR)/sql/

#	$(install_file) debian/apache.conf $(INSTBASEDIR)/etc/apache/include.d/ezpublish
	$(install_bin) $(BINFILES) $(INSTLIBDIR)/bin/

binary: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_undocumented
	dh_installexamples
	dh_installchangelogs CHANGELOG
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary install
